developers

    Forum Stats

  • 3,873,861 Users
  • 2,266,623 Discussions
  • 7,911,645 Comments

Discussions

Oracle.ManagedDataAccess.Core support for .NET 5

User_ATE2V
User_ATE2V Member Posts: 6 Green Ribbon

We just created a ASP.NET Core project with .NET 5. Added NuGet package Oracle.ManagedDataAccess.Core (3.21.1). Built locally with Visual Studio 2019 and Tested successfully with IIS Express. Moved the project to build server and MSBuild failed to build the project with error message "NU1202: Package Oracle.ManagedDataAccess.Core 3.21.1 is not compatible with net50 (.NETFramework,Version=v5.0). Package Oracle.ManagedDataAccess.Core 3.21.1 supports: netstandard2.1 (.NETStandard,Version=v2.1)". Will there be a new version available soon to address this issue?

Best Answer

  • Alex Keh-Oracle
    Alex Keh-Oracle Posts: 3,153 Employee

    Since .NET 5 moved to .NET Standard 2.1, ODP.NET Core 21c did as well. .NET Framework will remain with .NET Standard 2.0.

    Oracle recommends that you use managed ODP.NET for .NET Framework. Managed ODP.NET 21c is planned for release in April.

«1

Answers

developers